/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
//GET QUERY STRING PARAMETERS TO SHOW MATCH
var get = [];
location.search.replace('?', '').split('&').forEach(function (val) {
 split = val.split("=", 2);
 get[split[0]] = split[1];
});

if (get["gnpage"] + "" != "undefined"){// Check if there is a value for the page
		//Go to relevant part of the igraphic
}else{
		//Start at the beginning
}
	
	var holeCount = 0;
	
	var headline;
	var headlinetxt = sym.getSymbol("styleHead").$("headlineTxt").css("pointer-events","none");
	var source;
	var sourcetxt = sym.getSymbol("styleBase").$("sourceTxt").css("pointer-events","none");
	
	var btnNo = 0;
	for (var b=0;b<5; b++){
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn"+b).$("menuIcon").attr("src", "images/menuIcon" + b + ".png");
	} // MENU TEXT END
	
	var txt=[];
	txt[0] = sym.$("txt0").css({"pointer-events":"none",});
	txt[1] = sym.$("txt1").css({"pointer-events":"none"});
	txt[2] = sym.getSymbol("holesMc").$("txt2").css({"pointer-events":"none"});
	txt[3] = sym.getSymbol("cardMc").$("txt3").css({"pointer-events":"none"});
	txt[4] = sym.getSymbol("cardMc").$("txt4").css({"pointer-events":"none"});
	for (var i=5;i<22;i++){
	txt[i] = sym.$("txt"+i).css({"pointer-events":"none"});
	}
	txt[22] = sym.getSymbol("cardMc").$("txt22").css({"pointer-events":"none"});
	txt[23] = sym.getSymbol("cardMc").$("txt23").css({"pointer-events":"none"});
	for (var i=24;i<34;i++){
	txt[i] = sym.getSymbol("winnersMc").$("txt"+i).css({"pointer-events":"none"});
	}
	txt[34] = sym.getSymbol("cardMc").$("txt34").css({"pointer-events":"none"});
	for (var i=35;i<51;i++){
	txt[i] = sym.getSymbol("teamUsaMc").$("txt"+i).css({"pointer-events":"none"});
	}
	txt[51] = sym.$("txt51").css({"pointer-events":"none"});
	for (var i=52;i<68;i++){
	txt[i] = sym.getSymbol("teamEurMc").$("txt"+i).css({"pointer-events":"none"});
	}
	txt[68] = sym.$("txt68").css({"pointer-events":"none"});
	txt[69] = sym.$("txt69").css({"box-shadow":"5px 5px 5px rgba(0,0,0,0.3)", "pointer-events":"none", "padding":"8px", "padding-top":"15px", "border-width":"1px","border-style":"solid","border-color":"rgba(0,0,0,1)", "border-radius":"6px"});
	txt[70] = sym.$("txt70").css({"pointer-events":"none"});
	
	var txtArr=[];
	var parstring;
	var yardsstring;
	
	//AJAX retrieves data from xml source specified in url, maps xml variable to DOM object variable
	$.ajax({	
		type: "GET",
		url: "GN32183.xml",
		dataType: "xml",
		success: function(xml) {
			custonCol = $(xml).find('customColour').text();
			sym.getSymbol("styleHead").$("headerBox").css("background-color",custonCol);
			headline = $(xml).find('headline').text();
			headlinetxt.html(headline);
			source = $(xml).find('source').text();
			sourcetxt.html(source);
	
			for (var i=0; i<70; i++){
			txtArr[i]=$(xml).find('txt'+i).text();
			txt[i].html(txtArr[i]);
			}
	
			sym.$("txt0").animate({top:560 - sym.$("txt0").height()+5}, 0);
			sym.$("txt69").animate({left:258 - sym.$("txt69").width()/2}, 0);
	
			stringYards = $(xml).find('txt7').text(); // Stage date for stage btn info
         yardsstring=stringYards.split(":");

			stringPar = $(xml).find('txt6').text(); // Stage date for stage btn info
         parstring=stringPar.split(":");
			sym.getSymbol("holesMc").$("txt2").html(txtArr[3]+" "+ "<b>"+parstring[0]+"</b>" + "<br>" + txtArr[4]+" "+ "<b>"+yardsstring[0]+"</b>");
			sym.getSymbol("cardMc").$("txt3").html("<b>"+txtArr[2]+"</b>"+"<br>"+txtArr[3]+"<br>"+"<b>"+txtArr[4]+"</b>"+"<br>"+"<b>"+txtArr[2]+"</b>"+"<br>"+txtArr[3]+"<br>"+"<b>"+txtArr[4]+"</b>");
			sym.getSymbol("cardMc").$("txt22").html(txtArr[8]);
			sym.getSymbol("cardMc").$("txt23").html(txtArr[9]);

		for (var h=0;h<18; h++){
		sym.getSymbol("roundBtnsMc").getSymbol("roundBtn"+h).$("txt").html(h+1);
		sym.getSymbol("cardMc").$("txt"+(h+4)).empty();
		sym.getSymbol("cardMc").$("txt"+(h+4)).append("<b>"+(h+1)+"</b>" + "<br>"+ parstring[h] + "<br>"+ "<b>"+ yardsstring[h]+"</b>");
	}
		}
	}); // END XML

	sym.getSymbol("navBtns").$("btnBack").fadeOut(0);

	// MENU BUTTONS --------------------------------------------	
	menuArray = []; //the array that will hold references to the buttons.

	for (var h = 0; h < 5; h++){
		var menuBtnSymbols = sym.getSymbol("menuBtnsMc").getSymbol("menuBtn" +h); // Create an instance element of a symbol as a child of the given parent element
		menuBtnSymbols.setVariable("menuId", h); //set the value of a Symbol variable
		menuArray.push(menuBtnSymbols); //push it into the array
	}

	$.each(menuArray, function( count, menuInTheArray ){ //a 'for each' loop through the newly populated array
		var menuBtnItem = $(menuInTheArray); //create jQuery reference to the item
		var menuBtnElement = menuInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
		menuBtnElement.bind ("click", {menuId:count}, menuBtnClick);
		menuBtnElement.bind ("touchstart", {menuId:count}, menuBtnClick);
		menuBtnElement.bind ("mouseover", {menuId:count}, menuShow);
		menuBtnElement.bind ("mouseout", {menuId:count}, menuHide);
	})

	function resetmenu(){
		for (var h=0; h<menuArray.length; h++){
         menuArray[h].$("btnClick").fadeOut(0);
         menuArray[h].$("btnOver").fadeOut(0);
		}
		sym.$("teamEurMc").stop().animate ({left:800}, 500, 'easeOutCubic');
		sym.$("teamUsaMc").stop().animate ({left:-800}, 500, 'easeOutCubic');
		sym.$("winnersMc").stop().animate ({top:-600}, 500, 'easeOutCubic');
		sym.$("txt51").stop().fadeOut(0);
	}
	resetmenu();

	function menuBtnClick (e){
		resetmenu(); //set them all back to normal state
		var menuMenu_id = (e.data.menuId); //get the id of the clicked item
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn" + menuMenu_id).$("btnClick").fadeIn(0);
		btnNo = menuMenu_id;
		sym.getSymbol("styleHead").$("courseHead").stop().fadeIn(500);
		if (menuMenu_id==0) {
			sym.$("holesMc").stop().animate ({top:430}, 500, 'easeOutCubic');
			sym.$("cardMc").stop().animate ({left:900}, 500, 'easeOutCubic');
			sym.$("navBtns").stop().animate ({top:390}, 500, 'easeOutCubic');
		}
		if (menuMenu_id==1) {
			sym.$("holesMc").stop().animate ({top:640}, 500, 'easeOutCubic');
			sym.$("cardMc").stop().animate ({left:275}, 500, 'easeOutCubic');
			sym.$("navBtns").stop().animate ({top:600}, 500, 'easeOutCubic');
		}
		if (menuMenu_id==2) {
			sym.getSymbol("styleHead").$("courseHead").stop().fadeOut(200);
			sym.$("teamEurMc").stop().animate ({left:0}, 500, 'easeOutCubic');
			sym.$("txt51").stop().fadeIn(0);
		}
		if (menuMenu_id==3) {
			sym.getSymbol("styleHead").$("courseHead").stop().fadeOut(200);
			sym.$("teamUsaMc").stop().animate ({left:0}, 500, 'easeOutCubic');
			sym.$("txt51").stop().fadeIn(0);
		}
		if (menuMenu_id==4) {
			sym.getSymbol("styleHead").$("courseHead").stop().fadeOut(200);
			sym.$("winnersMc").stop().animate ({top:0}, 500, 'easeOutCubic');
		}
	}

	function menuShow (e){
		var menuMenu_id = (e.data.menuId); //get the id of the over button
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn" + menuMenu_id).$("btnOver").fadeIn(0);
		btnNo = menuMenu_id;
		menuTxttxt.html(menuTxt[btnNo]);
	}
	function menuHide (e){
		var menuMenu_id = (e.data.menuId); //get the id of the out button
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn" + menuMenu_id).$("btnOver").fadeOut(0);
		sym.getSymbol("menuBtnsMc").$("menuTxt").empty();
	}

// MAKE MENU 0 VISIBLE
	sym.getSymbol("menuBtnsMc").getSymbol("menuBtn0").$("btnClick").fadeOut(0);
	sym.getSymbol("menuBtnsMc").getSymbol("menuBtn0").$("btnOver").fadeIn(0);


// COURSE BUTTONS --------------------------------------------	
			var slide = -410;

         stageBtnArray = []; //the array that will hold references to the buttons.

         for (var h = 0; h < 18; h++){
         	 var stageBtnBtnSymbols = sym.getSymbol("roundBtnsMc").getSymbol("roundBtn" +h); // Create an instance element of a symbol as a child of the given parent element
         	 stageBtnBtnSymbols.setVariable("stageBtnId", h); //set the value of a Symbol variable
         	 stageBtnArray.push(stageBtnBtnSymbols); //push it into the array
         }

         $.each(stageBtnArray, function( count, stageBtnInTheArray ){ //a 'for each' loop through the newly populated array
         	 var stageBtnBtnItem = $(stageBtnInTheArray); //create jQuery reference to the item
         	 var stageBtnBtnElement = stageBtnInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
         	 stageBtnBtnElement.bind ("click", {stageBtnId:count}, stageBtnBtnClick);
         	 stageBtnBtnElement.bind ("touchstart", {stageBtnId:count}, stageBtnBtnClick);
         	 stageBtnBtnElement.bind ("mouseover", {stageBtnId:count}, stageBtnShow);
         	 stageBtnBtnElement.bind ("mouseout", {stageBtnId:count}, stageBtnHide);
         	})

	function stageBtnBtnClick (e){
		resetcardBtn();
		resetAllBtn(); //set them all back to normal state
		var stageBtnstageBtn_id = (e.data.stageBtnId); //get the id of the clicked item
		holeCount = stageBtnstageBtn_id;
		btnClick();
	}
	function stageBtnShow (e){
		var stageBtnstageBtn_id = (e.data.stageBtnId); //get the id of the over button
		sym.getSymbol("roundBtnsMc").getSymbol("roundBtn" + stageBtnstageBtn_id).$("btnOver").fadeIn(0);
	}
	function stageBtnHide (e){
		var stageBtnstageBtn_id = (e.data.stageBtnId); //get the id of the out button
		sym.getSymbol("roundBtnsMc").getSymbol("roundBtn" + stageBtnstageBtn_id).$("btnOver").fadeOut(0);
	}
	function resetAllBtn(){
		for (var h=0; h<stageBtnArray.length; h++){
         stageBtnArray[h].$("btnClick").fadeOut(0);
         stageBtnArray[h].$("btnOver").fadeOut(0);
		}
		// FADE OUT HOLES
		for (var n=0;n<18; n++){
			sym.getSymbol("holesMc").getSymbol("allHolesMc").$("holeMc"+(n+1)).fadeOut(0);
		}
	}
	resetAllBtn();
	sym.getSymbol("roundBtnsMc").getSymbol("roundBtn0").$("btnClick").fadeIn(0);

// HOLE NUMBERS


// NAV BUTTONS
sym.getSymbol("navBtns").$("btnNext").on("click", function() {
	e.stopPropagation(); e.preventDefault();
	resetcardBtn();
	holeCount++;
	btnClick();
	sym.getSymbol("navBtns").getSymbol("btnBack").$("btnOver").fadeOut(0);
});

sym.getSymbol("navBtns").$("btnNext").on("mouseover", function() {
	sym.getSymbol("navBtns").getSymbol("btnNext").$("btnOver").fadeIn(200);
	});

sym.getSymbol("navBtns").$("btnNext").on("mouseout", function() {
	sym.getSymbol("navBtns").getSymbol("btnNext").$("btnOver").fadeOut(200);
});

sym.getSymbol("navBtns").$("btnBack").on("click", function() {
	e.stopPropagation(); e.preventDefault();
	resetcardBtn();
	holeCount--;
	btnClick();
	sym.getSymbol("btnNext").$("btnOver").fadeOut(0);
	});

sym.getSymbol("navBtns").$("btnBack").on("mouseover", function() {
	sym.getSymbol("navBtns").getSymbol("btnBack").$("btnOver").fadeIn(200);
	});

sym.getSymbol("navBtns").$("btnBack").on("mouseout", function() {
	sym.getSymbol("navBtns").getSymbol("btnBack").$("btnOver").fadeOut(200);
});

sym.getSymbol("navBtns").getSymbol("btnNext").$("btnOver").fadeOut(0);
sym.getSymbol("navBtns").getSymbol("btnBack").$("btnOver").fadeOut(0);

// CARD BUTTONS --------------------------------------------	
cardBtnArray = []; //the array that will hold references to the buttons.

for (var j = 0; j < 18; j++){
	var cardBtnSymbols = sym.getSymbol("cardMc").getSymbol("cardBtn" +j); // Create an instance element of a symbol as a child of the given parent element
	cardBtnSymbols.setVariable("cardBtnId", j); //set the value of a Symbol variable
	cardBtnArray.push(cardBtnSymbols); //push it into the array
}

$.each(cardBtnArray, function( count, cardBtnInTheArray ){ //a 'for each' loop through the newly populated array
	var cardBtnItem = $(cardBtnInTheArray); //create jQuery reference to the item
	var cardBtnElement = cardBtnInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
	cardBtnElement.bind ("click", {cardBtnId:count}, cardBtnClick);
	cardBtnElement.bind ("touchstart", {cardBtnId:count}, cardBtnClick);
	cardBtnElement.bind ("mouseover", {cardBtnId:count}, cardBtnShow);
	cardBtnElement.bind ("mouseout", {cardBtnId:count}, cardBtnHide);
})

function cardBtnClick (e){
	var cardBtn_id = (e.data.cardBtnId); //get the id of the clicked item
	holeCount = cardBtn_id;
	resetcardBtn(); //set them all back to normal state
	btnClick();
}

function resetcardBtn(){
	for (var j=0; j<cardBtnArray.length; j++){
		cardBtnArray[j].$("btnClick").fadeOut(0);
		cardBtnArray[j].$("btnOver").fadeOut(0);
	}
}
resetcardBtn();

function cardBtnShow (e){
	var cardBtn_id = (e.data.cardBtnId); //get the id of the over button
	sym.getSymbol("cardMc").getSymbol("cardBtn" + cardBtn_id).$("btnOver").fadeIn(0);
}

function cardBtnHide (e){
	var cardBtn_id = (e.data.cardBtnId); //get the id of the out button
	sym.getSymbol("cardMc").getSymbol("cardBtn" + cardBtn_id).$("btnOver").fadeOut(0);
}
sym.getSymbol("cardMc").getSymbol("cardBtn0").$("btnOver").fadeIn(0);
sym.$("cardMc").stop().animate ({left:900}, 0);

// TOGGLE BUTTON
var toggle = 0;

sym.$("toggleBtn").on('touchstart click', function(e){
	e.stopPropagation(); e.preventDefault();
	if (toggle == 0) {
		sym.getSymbol("toggleBtn").$("btnPlus").fadeOut(0);
		sym.$("txt69").stop().animate ({top:238}, 0, function(){ 
			sym.$("txt69").stop().animate ({opacity:1}, 500);
		});
		toggle = 1;
	}else{
		sym.getSymbol("toggleBtn").$("btnPlus").fadeIn(0);
		sym.$("txt69").stop().animate ({opacity:0}, 200, function(){ 
			sym.$("txt69").stop().animate ({top:-800}, 0);
		});
		toggle = 0;
	}
}); 
sym.$("toggleBtn").mouseover(function(){
	sym.getSymbol("toggleBtn").$("btnOver").stop().animate ({opacity:0.3}, 200);
});
sym.$("toggleBtn").mouseout(function(){
	sym.getSymbol("toggleBtn").$("btnOver").stop().animate ({opacity:0}, 200);
});

// ACTIONS FOR BUTTON CLICKS	
function btnClick(){
	resetAllBtn(); //set them all back to normal state
	sym.getSymbol("roundBtnsMc").getSymbol("roundBtn" + holeCount).$("btnClick").fadeIn(0);
	sym.getSymbol("holesMc").getSymbol("allHolesMc").$("holeMc" + (holeCount+1)).stop().fadeIn(200);
	sym.getSymbol("holesMc").getSymbol("allHolesMc").getSymbol("holeMc" + (holeCount+1)).play(0);
	sym.getSymbol("holesMc").$("holeNo").html(holeCount + 1);
	sym.getSymbol("cardMc").getSymbol("cardBtn" + holeCount).$("btnClick").fadeIn(0);
	sym.getSymbol("holesMc").$("txt2").html(txtArr[3]+" "+ "<b>"+parstring[holeCount]+"</b>" + "<br>" + txtArr[4]+" "+ "<b>"+yardsstring[holeCount]+"</b>");

	if (holeCount <= 0) {
		sym.getSymbol("navBtns").$("btnBack").fadeOut(0);
	}else{
		sym.getSymbol("navBtns").$("btnBack").fadeIn(0);
	}
	if (holeCount >= 17) {
		sym.getSymbol("navBtns").$("btnNext").fadeOut(0);
	}else{
		sym.getSymbol("navBtns").$("btnNext").fadeIn(0);
	}
}
btnClick();

sym.getSymbol("holesMc").$("txt2").append(txtArr[3]+" "+ "<b>"+parstring[holeCount]+"</b>" + "<br>" + txtArr[4]+" "+ "<b>"+yardsstring[holeCount]+"</b>");








         	});//Edge binding end	
		
		// VIDEO BTN 1 =========================================================
         	
			
         	
         		
         	
			
			
         	// VIDEO BTN 2 =========================================================
         	
         	
         	
         		
         	
         	


   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'StyleBase'
   (function(symbolName) {   
   
   })("StyleBase");
   //Edge symbol end:'StyleBase'

   //=========================================================
   
   //Edge symbol: 'styleHead_1'
   (function(symbolName) {   
   
   })("styleHead");
   //Edge symbol end:'styleHead'

   //=========================================================
   
   //Edge symbol: 'menuBtn_2'
   (function(symbolName) {   
   
   })("menuBtn");
   //Edge symbol end:'menuBtn'

   //=========================================================
   
   //Edge symbol: 'Preloader'
   (function(symbolName) {   
   
   })("Preloader");
   //Edge symbol end:'Preloader'

   //=========================================================
   
   //Edge symbol: 'menuBtnsMc'
   (function(symbolName) {   
   
   })("menuBtnsMc");
   //Edge symbol end:'menuBtnsMc'

   //=========================================================
   
   //Edge symbol: 'arrowBtn'
   (function(symbolName) {   
   
   })("arrowBtn");
   //Edge symbol end:'arrowBtn'

   //=========================================================
   
   //Edge symbol: 'winnersMc'
   (function(symbolName) {   
   
   })("winnersMc");
   //Edge symbol end:'winnersMc'

   //=========================================================
   
   //Edge symbol: 'allHolesMc'
   (function(symbolName) {   
   
   })("allHolesMc");
   //Edge symbol end:'allHolesMc'

   //=========================================================
   
   //Edge symbol: 'holesMc'
   (function(symbolName) {   
   
   })("holesMc");
   //Edge symbol end:'holesMc'

   //=========================================================
   
   //Edge symbol: 'btnBackHiiden_1'
   (function(symbolName) {   
   
   })("btnBackHiiden");
   //Edge symbol end:'btnBackHiiden'

   //=========================================================
   
   //Edge symbol: 'navBtns_1'
   (function(symbolName) {   
   
   })("navBtns");
   //Edge symbol end:'navBtns'

   //=========================================================
   
   //Edge symbol: 'tableMc'
   (function(symbolName) {   
   
   })("tableMc");
   //Edge symbol end:'tableMc'

   //=========================================================
   
   //Edge symbol: 'stroke'
   (function(symbolName) {   
   
   })("stroke");
   //Edge symbol end:'stroke'

   //=========================================================
   
   //Edge symbol: 'cardBtn'
   (function(symbolName) {   
   
   })("cardBtn");
   //Edge symbol end:'cardBtn'

   //=========================================================
   
   //Edge symbol: 'roundBtnsMc'
   (function(symbolName) {   
   
   })("roundBtnsMc");
   //Edge symbol end:'roundBtnsMc'

   //=========================================================
   
   //Edge symbol: 'roundBtn'
   (function(symbolName) {   
   
   })("roundBtn");
   //Edge symbol end:'roundBtn'

   //=========================================================
   
   //Edge symbol: 'hole1Mc'
   (function(symbolName) {   
   
   })("hole1Mc");
   //Edge symbol end:'hole1Mc'

   //=========================================================
   
   //Edge symbol: 'hole1Mc_1'
   (function(symbolName) {   
   
      })("hole2Mc");
   //Edge symbol end:'hole2Mc'

   //=========================================================
   
   //Edge symbol: 'hole2Mc_1'
   (function(symbolName) {   
   
      })("hole3Mc");
   //Edge symbol end:'hole3Mc'

   //=========================================================
   
   //Edge symbol: 'hole3Mc_1'
   (function(symbolName) {   
   
      })("holeMc4");
   //Edge symbol end:'holeMc4'

   //=========================================================
   
   //Edge symbol: 'holeMc4_1'
   (function(symbolName) {   
   
      })("holeMc5");
   //Edge symbol end:'holeMc5'

   //=========================================================
   
   //Edge symbol: 'holeMc5_1'
   (function(symbolName) {   
   
      })("holeMc6");
   //Edge symbol end:'holeMc6'

   //=========================================================
   
   //Edge symbol: 'holeMc6_1'
   (function(symbolName) {   
   
      })("holeMc7");
   //Edge symbol end:'holeMc7'

   //=========================================================
   
   //Edge symbol: 'holeMc7_1'
   (function(symbolName) {   
   
      })("holeMc8");
   //Edge symbol end:'holeMc8'

   //=========================================================
   
   //Edge symbol: 'holeMc8_1'
   (function(symbolName) {   
   
      })("holeMc9");
   //Edge symbol end:'holeMc9'

   //=========================================================
   
   //Edge symbol: 'holeMc9_1'
   (function(symbolName) {   
   
      })("holeMc10");
   //Edge symbol end:'holeMc10'

   //=========================================================
   
   //Edge symbol: 'holeMc10_1'
   (function(symbolName) {   
   
      })("holeMc11");
   //Edge symbol end:'holeMc11'

   //=========================================================
   
   //Edge symbol: 'holeMc11_1'
   (function(symbolName) {   
   
      })("holeMc12");
   //Edge symbol end:'holeMc12'

   //=========================================================
   
   //Edge symbol: 'holeMc12_1'
   (function(symbolName) {   
   
      })("holeMc13");
   //Edge symbol end:'holeMc13'

   //=========================================================
   
   //Edge symbol: 'holeMc13_1'
   (function(symbolName) {   
   
      })("holeMc14");
   //Edge symbol end:'holeMc14'

   //=========================================================
   
   //Edge symbol: 'holeMc14_1'
   (function(symbolName) {   
   
      })("holeMc15");
   //Edge symbol end:'holeMc15'

   //=========================================================
   
   //Edge symbol: 'holeMc15_1'
   (function(symbolName) {   
   
      })("holeMc16");
   //Edge symbol end:'holeMc16'

   //=========================================================
   
   //Edge symbol: 'holeMc16_1'
   (function(symbolName) {   
   
      })("holeMc17");
   //Edge symbol end:'holeMc17'

   //=========================================================
   
   //Edge symbol: 'holeMc17_1'
   (function(symbolName) {   
   
      })("holeMc18");
   //Edge symbol end:'holeMc18'

   //=========================================================
   
   //Edge symbol: 'teamEurMc'
   (function(symbolName) {   
   
   })("teamEurMc");
   //Edge symbol end:'teamEurMc'

   //=========================================================
   
   //Edge symbol: 'teamEurMc_1'
   (function(symbolName) {   
   
   })("teamUsaMc");
   //Edge symbol end:'teamUsaMc'

   //=========================================================
   
   //Edge symbol: 'cutBtn'
   (function(symbolName) {   
   
   })("cutBtn");
   //Edge symbol end:'cutBtn'

   //=========================================================
   
   //Edge symbol: 'plusBtn'
   (function(symbolName) {   
   
   })("plusBtn");
   //Edge symbol end:'plusBtn'

})(jQuery, AdobeEdge, "GraphicNews32183");